unit MainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, StdCtrls, ComCtrls, DBCtrls, FormatButtons, Buttons,
  ToolWin, ExtCtrls, Grids, DBGrids;

type
  TfrmMain = class(TForm)
    Table1: TTable;
    DataSource1: TDataSource;
    Panel1: TPanel;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    Splitter1: TSplitter;
    GroupBox1: TGroupBox;
    ToolBar1: TToolBar;
    BoldButton1: TBoldButton;
    ItalicButton1: TItalicButton;
    UnderlineButton1: TUnderlineButton;
    StrikeoutButton1: TStrikeoutButton;
    ToolButton1: TToolButton;
    AlignLeftButton1: TAlignLeftButton;
    AlignCenterButton1: TAlignCenterButton;
    AlignRightButton1: TAlignRightButton;
    ToolButton2: TToolButton;
    BulletButton1: TBulletButton;
    DBRichEdit1: TDBRichEdit;
    procedure FormCreate(Sender: TObject);
    procedure DBRichEdit1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  Table1.DatabaseName := ExtractFilePath(Application.ExeName);
  if not Table1.Exists then
    Table1.CreateTable;
  Table1.Open
end;

procedure TfrmMain.DBRichEdit1Change(Sender: TObject);
begin
  RefreshRichControls(ToolBar1)
end;

end.
